Subject: bug#75322: SAFE_ALLOCA assumed to root Lisp_Objects/SSDATA(string)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Jan 2025 12:21:14 +0200

> Cc: [email-masked]
> From: Gerd Möllmann <[email-masked]>
> Date: Sun, 05 Jan 2025 07:59:32 +0100
> 
> Gerd Möllmann <[email-masked]> writes:
> 
> > Just want to add that all SAFE_NALLOC uses should be checked in
> > scratch/igc. For example, set_overlays_multibyte uses it to store
> > itree_node *, and itree_node is in MPS.
> >
> > I think I'll just make it allocate a root in my Emacs. That's the least
> > work.
> 
> Please find attached what I'm using now in my Emacs, in addition to your
> xstrdup commit.

These two are alternatives, right?  IOW, we should use one or the
other in each specific case, is that correct?